Bug 248543 - sysutils/azure-agent: outdated version
Summary: sysutils/azure-agent: outdated version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-09 01:35 UTC by Brad Ackerman
Modified: 2021-05-24 07:26 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (weh)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brad Ackerman 2020-08-09 01:35:58 UTC
Please bump version to 2.2.49.2.
Comment 1 Li-Wen Hsu freebsd_committer 2020-08-12 13:47:05 UTC
(In reply to Brad Ackerman from comment #0)
I'll try to update it to the last version, BTW, is there a new feature you particular need in the new version?
Comment 2 Brad Ackerman 2020-08-25 04:35:10 UTC
There was a bug fix in April (?), but I can't remember the details - probably one of the Python 3.8-related fixes.
Comment 3 Bernhard Froehlich freebsd_committer 2021-05-04 07:28:51 UTC
Since python default is now 3.8 I get the following deprecation notice:

/usr/local/sbin/waagent:27: DeprecationWarning: the imp module is deprecated in favour of importlib; see the module's documentation for alternative uses
  import imp

This seems to be fixed upstream already:

https://github.com/Azure/WALinuxAgent/pull/1738

that sounds like a good reason to update. But it seems to run and work fine with 3.8 so far.
Comment 4 commit-hook freebsd_committer 2021-05-23 13:39:08 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b185a2b866b8642e2500dd691267694ac388875b

commit b185a2b866b8642e2500dd691267694ac388875b
Author:     Li-Wen Hsu <lwhsu@FreeBSD.org>
AuthorDate: 2021-05-23 13:37:40 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-05-23 13:37:40 +0000

    sysutils/azure-agent: Update to 2.2.54.2

    PR:             243046, 248543, 248651
    Approved by:    whu (maintainer, implicitly)

 sysutils/azure-agent/Makefile                      | 10 +++----
 sysutils/azure-agent/distinfo                      |  6 ++---
 ...-azurelinuxagent_daemon_resourcedisk_freebsd.py | 31 ++++++++++++++--------
 .../files/patch-config_freebsd_waagent.conf        | 14 ++++------
 4 files changed, 32 insertions(+), 29 deletions(-)
Comment 5 commit-hook freebsd_committer 2021-05-24 07:26:19 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=039306834f7cbe407bd03d32bc546120ece28a9a

commit 039306834f7cbe407bd03d32bc546120ece28a9a
Author:     Li-Wen Hsu <lwhsu@FreeBSD.org>
AuthorDate: 2021-05-23 13:37:40 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-05-24 07:25:11 +0000

    sysutils/azure-agent: Update to 2.2.54.2

    PR:             243046, 248543, 248651
    Approved by:    whu (maintainer, implicitly)

    (cherry picked from commit b185a2b866b8642e2500dd691267694ac388875b)

 sysutils/azure-agent/Makefile                      | 10 +++----
 sysutils/azure-agent/distinfo                      |  6 ++---
 ...-azurelinuxagent_daemon_resourcedisk_freebsd.py | 31 ++++++++++++++--------
 .../files/patch-config_freebsd_waagent.conf        | 14 ++++------
 4 files changed, 32 insertions(+), 29 deletions(-)